package controllers

import (
	"box-gm/models"

	"github.com/astaxie/beego"
	// "log"
)

type MainController struct {
	beego.Controller
}

// 主界面
// 通过c.Data[key]返回数据
// ace模板文件通过{{.key}}获取数据
func (c *MainController) Get() {
	// 返回登陆会话信息，如果没有登陆，跳转到登陆界面
	userinfo := c.GetSession("user")
	if userinfo == nil {
		c.Ctx.Redirect(302, "/accountlogin")
		return
	}
	username := userinfo.(*LoginInfo).Username

	c.Data["title"] = beego.AppConfig.String("apptitle")
	//用户权限
	user_permission := models.GetPermission(username)
	c.Data["navList"] = models.GetNavList(user_permission)
	c.Data["rolename"] = models.GetUserRoleName(username)
	c.Data["username"] = username

	//界面模板文件
	c.TplName = "index.tpl"
}
